# Class ArmEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.ArmEvent

public final class ArmEvent extends TypedEvent
Instances of this class are sent as a result of a widget such as a menu item being armed.

Since:
  1.3
See Also:
  - `ArmListener`
  - Sample code and further information

## Field Summary

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`ArmEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

## Constructor Details

### ArmEvent

public ArmEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information